Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Interface IPrincipal

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ChainingSecurityContext.ChainingPrincipal

    public interface IPrincipal

extends java.io.Serializable

An interface that defines the required methods for assigning and retrieving information about the authenticated principal (user). Providers requiring additional principal information should extend this interface rather than replacing it.

Version:
  $Revision: 1.6 $
Author:
  Andrew Newman, newman@yale.edu

Method Summary
`java.lang.String` | `getFullName()` Returns the human-readable name of the principal.
`java.lang.String` | `getGlobalUID()` Returns the globally unique user identifier for this principal.
`java.lang.String` | `getUID()` Returns the locally unique username or user identifier for this principal.
`void` | `setUID(java.lang.String UID)` Sets the locally unique username in preparation for authentication.

Method Detail

### getUID

    java.lang.String getUID()

  Returns the locally unique username or user identifier for this principal.

### getGlobalUID

    java.lang.String getGlobalUID()

  Returns the globally unique user identifier for this principal. This identifier should be maximally unique within the scope of the deployed security mechanism.

### getFullName

    java.lang.String getFullName()

  Returns the human-readable name of the principal. This should be either their first and last name or whatever local convention dicates should be returned by the CommonName (CN) attribute for those security contexts using X.509 style naming.

### setUID

    void setUID(java.lang.String UID)

  Sets the locally unique username in preparation for authentication. Note that post-authentication, an attempt to set a UID may either fail or reset the authentication status of the security context container.

  Parameters:
    `UID` - The desired locally unique UID value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD